Pandora FMS community forums

Full Version: Error instalación agente unix en debiab 5.0
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Salta un error en la instalación del paquete debian para el agente unix.

Selecting previously deselected package pandorafms-agent-unix.
(Reading database ... 21442 files and directories currently installed.)
Unpacking pandorafms-agent-unix (from pandorafms.agent_unix_3.1.deb) ...
Setting up pandorafms-agent-unix (3.1) ...
dpkg: error processing pandorafms-agent-unix (--install):
failed in buffer_read(fd): md5hash: Is a directory
Processing triggers for man-db ...
Errors were encountered while processing:
pandorafms-agent-unix


Alguna idea?
Si, te comento, es un "warning" porque intenta sacar el hash md5 de un fichero que es realmente un directorio, el directorio plugins.

Lo tenemos identificado, pero estamos a ver como lo solucionamos.
Buenas tardes,

He instalado PandoraFMS sobre Ubuntu 10.04LTS Server con el mismo resultado, el agente se queda colgado sin poder instalarlo.

Al no tener agentes no puedes lanzar ninguna monitorización.

Un saludo
Buenas.

Pero, ¿Qué significa que se queda colgado?, que no termina la instalación u otra cosa.
Perdon por la imprecisión.

Al forzar la instalación de paquetes final "apt-get -f install" se queda un paquete sin instalar por el error mencinado antes. Ese paquete sin instalar es el agente.

Como no hay agente local no pueden comenzarse monitores.

Un saludo
El problema también está presente en Ubuntu LTS 8.04, al parecer algo raro hay con la carpeta plugins que hace que el dpkg se caiga, pensé que el problema estaba en la generación del md5, pero ninguno de los cambios que hice solucionó el problema.
Buenas tardes,

Además el Appliance VMWare da un error de corrupción al intentar descomprimirlo del tar.gz.

Hay algún mensaje en el foro a ese respecto sin solución también.

Solo queda CentOS o compilar desde los fuentes.

Un saludo
y por que no usais el svn e instalais desde el repositorio.
yo nunca he tenido problemas instalando desde el branch
Sorry, i dont understand you language, but have same erros.
Solution probably not clean, but package install is possible.

Download package pandorafms-agent-unix_3.1_all and then:
Code:
mkdir -p extract/DEBIAN
dpkg-deb -x pandorafms-agent-unix_3.1_all.deb extract/
dpkg-deb -e pandorafms-agent-unix_3.1_all.deb extract/DEBIAN

rm extract/DEBIAN/md5sums

Remove line: /etc/pandora/plugins from
extract/DEBIAN/conffiles

Code:
mkdir build
dpkg-deb -b extract/ build/

cd build
dpkg -i pandorafms-agent-unix_3.1_all.deb

DONE!